Package org.jboss.resteasy.links

## Class RESTServiceDiscovery.AtomLink

- java.lang.Object
- - org.jboss.resteasy.links.RESTServiceDiscovery.AtomLink

- Enclosing class:
    RESTServiceDiscovery

      public static class RESTServiceDiscovery.AtomLink
      extends Object

  An Atom link
  Author:
    Stéphane Épardaud

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AtomLink()` |
    `AtomLink​(String href, String rel)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getHref()` |
    `String` | `getHreflang()` |
    `String` | `getLength()` |
    `String` | `getRel()` |
    `String` | `getTitle()` |
    `String` | `getType()` |
    `int` | `hashCode()` |
    `void` | `setHref​(String href)` |
    `void` | `setHreflang​(String hreflang)` |
    `void` | `setLength​(String length)` |
    `void` | `setRel​(String rel)` |
    `void` | `setTitle​(String title)` |
    `void` | `setType​(String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AtomLink

          public AtomLink()

    - #### AtomLink

          public AtomLink​(String href,
                          String rel)

  - ### Method Detail

    - #### getRel

          public String getRel()

    - #### setRel

          public void setRel​(String rel)

    - #### getHref

          public String getHref()

    - #### setHref

          public void setHref​(String href)

    - #### getType

          public String getType()

    - #### setType

          public void setType​(String type)

    - #### getHreflang

          public String getHreflang()

    - #### setHreflang

          public void setHreflang​(String hreflang)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### getLength

          public String getLength()

    - #### setLength

          public void setLength​(String length)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`